import { OnInit, OnDestroy } from '@angular/core';
import { UntypedFormGroup } from '@angular/forms';
import { MatDialogRef } from '@angular/material/dialog';
import { Subscription } from 'rxjs';
import { LoginFormData } from '../../model/login-form-data';
import { AuthenticationTokenGuiService } from '../../services/authentication-token-gui.service';
import * as i0 from "@angular/core";
export declare class LoginFormComponent implements OnInit, OnDestroy {
    dialogRef: MatDialogRef<LoginFormComponent>;
    authenticationService: AuthenticationTokenGuiService;
    errorMessage: string | null;
    authenticatedChangedSubscription: Subscription;
    authenticationErrorSubscription: Subscription;
    form: UntypedFormGroup;
    constructor(data: LoginFormData, dialogRef: MatDialogRef<LoginFormComponent>, authenticationService: AuthenticationTokenGuiService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    authenticate(): void;
    private authChangedHandler;
    private errorHandler;
    static ɵfac: i0.ɵɵFactoryDeclaration<LoginFormComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LoginFormComponent, "authentication-login-form", never, {}, {}, never, never, false>;
}
